uniform sampler2D color_emissive_texture;

varying vec4 vertex_ambient;

void main()
{
	vec4 texel = texture2D( color_emissive_texture, gl_TexCoord[0].xy );
	gl_FragColor = (texel * vertex_ambient) + (texel * texel.a);
    gl_FragColor.a = 1.0;					
}
